﻿using Infragistics.Controls.Interactions;
using Infragistics.Themes;
using System.Windows;

namespace DialogTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            ThemeManager.SetTheme(this, new Office2013Theme());
        }

        private void XamDialogWindow_WindowStateChanging(object sender, WindowStateChangingEventArgs e)
        {
            if (e.NewWindowState == Infragistics.Controls.Interactions.WindowState.Hidden)
            {
                Application.Current.Shutdown();
            }
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Application.Current.Shutdown();
        }
    }
}
